class BodyLinkedListItem {
    private final Body body;
    private BodyLinkedListItem prev;
    private BodyLinkedListItem next;

    public BodyLinkedListItem(Body body) {
        this.body = body;
        this.prev = null;
        this.next = null;
    }

    public Body body() {
        return body;
    }
    
    public BodyLinkedListItem prev() {
        return prev;
    }

    public void setPrev(BodyLinkedListItem prev) {
        this.prev = prev;
        if (prev != null) prev.next = this;
    }

    public BodyLinkedListItem next() {
        return next;
    }

    public void setNext(BodyLinkedListItem next) {
        this.next = next;
        if (next != null) next.prev = this;
    }
}
